{*******************************************************}
{                                                       }
{           Delphi Visual Component Library             }
{                                                       }
{           Copyright (c) 2000-2001 Devrace             }
{               Written by Serg Vostrikov               }
{                                                       }
{             Devrace SohoLib Pro Components            }
{           This library is a trustware product         }
{            Please, read the License.txt file          }
{                                                       }
{             url   : http://www.devrace.com/           }
{             e-mail: soholib@devrace.com               }
{                                                       }
{*******************************************************}
unit SoClndF;

{$I SOHOLIB.INC}

interface
uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  StdCtrls, SoCtrls, ComCtrls, ExtCtrls, SohoBtns{$IFDEF Delphi3}, CalCtrls{$ENDIF};

type
  TSoCalendarForm = class(TForm)
    CalendarP: TPanel;
    TimeP: TPanel;
    ButtonsP: TPanel;
    MonthE: TMonthCalendar;
    TimeE: TDateTimePicker;
    TimeL: TsohoLabel;
    OkB: TsohoBitBtn;
    CancelB: TsohoBitBtn;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure AlignPanels;
  end;

var
  SoCalendarForm: TSoCalendarForm;

implementation
uses SoCmnCns;

{$R *.DFM}

procedure TSoCalendarForm.AlignPanels;
begin
  if not CalendarP.Visible then ClientHeight := TimeP.Height + ButtonsP.Height;
  if not TimeP.Visible then ClientHeight := CalendarP.Height + ButtonsP.Height;
end;

procedure TSoCalendarForm.FormCreate(Sender: TObject);
begin
  TimeL.Caption := sohoClndTimeLabel;
  OkB.Caption := SOKButton;
  CancelB.Caption := SCancelButton;
end;

end.
