{*******************************************************}
{                                                       }
{           Delphi Visual Component Library             }
{                                                       }
{           Copyright (c) 2000-2001 Devrace             }
{           Partial copyright (c) AllexSoft             }
{              Written by Serg Vostrikov,               }
{                 Alexander Govyadinov                  }
{                                                       }
{             Devrace SohoLib Pro Components            }
{           This library is a trustware product         }
{            Please, read the License.txt file          }
{                                                       }
{             url   : http://www.devrace.com/           }
{             e-mail: soholib@devrace.com               }
{                                                       }
{*******************************************************}
unit SoDBCns;

{$I SOHOLIB.INC}

interface

ResourceString

    sohoFoldermDisplaylabel = 'Display &label';
    sohoFoldermDisplayWidth = 'Display &width';
    sohoFoldermDisplayFormat = 'Display &format';
    sohoFoldermFieldAlign = '&Alignment';
    sohoFoldermHideField = '&Hide field';
    sohoFoldermCreateField = 'Create &calculated field';
    sohoFoldermChangeVisible = 'Change &visibility';
    sohoFoldermDeleteField = '&Delete calculated field';
    sohoFoldermChangeField = 'Change calc&ulated field';
    sohoFoldermSaveFolder = '&Save state';
    sohoFoldermLoadFolder = 'L&oad state';
    sohoFoldermTitleLines = '&Title height';
    sohoFoldermTitleAlign = 'T&itle alignment';
    sohoFoldermCreateRField = 'C&reate field';
    sohoFoldermDeleteRField = 'Delete fi&eld';
    sohoFoldermAddLink = 'Add lin&k';
    sohoFoldermDeleteLink = 'Delete li&nk';
    sohoFolderNoMemory = 'SoFolder: No memory in heap. Call technical support!' +
       #13 + 'Application is stopped.';
    sohoFolderDataSetNotDefined = '%s: DataSet is not defined!';
    sohoFolderShowColumn = 'Show field';
    sohoFolderService = 'Service';
    sohoFolderFreeLink = 'Free link(';
    sohoFolderVisibility = 'Visibility';
    sohoFolderDescriptionFiles = 'Descriptions|*.ini;*.fld';
    sohoFolderDescDialogTitle = 'Select guide-table';
    sohoFolderFormuleDefName = 'Expression';
    sohoFolderColumnIsNotCalc = 'Column is not calculated';
    sohoFolderCantCalculate = '%s: Can not calculate %s';
    sohoFolderCalculatorsNill = 'Autoexpressions = nil';
    sohoFolderDataSetUndefined = '%s: is not defined %s.DataSource.DataSet!';
    sohoFolderNameUndefined = '%s: FolderName is not defined!';
    sohoFolderLoadDataSetError = '%s: is not defined Grid to load it!';
    sohoFolderColumnCreateError = '%s: Field creation error!';
    sohoFolderBeforeColumnDelete = 'Are you sure you want to delete field: %s? Data reconstruction will be impossible!!';
    sohoFolderColumnDeleteError = '%s: Field deletion error!';
    sohoFolderYouCanUse = 'You can use values: %s';
    sohoFolderDataSetOpenError = '%s.ReOpen: Oops! DataSet has not opened.';

    sohoRegisterOnlySingleRegister =
      'Only single instance of TsohoCustomRegister is allowed to use.' + #13 +
      'For secondary forms use TsohoSubRegister class';
    sohoRegisterPathDontExists = 'Path %s does not exist';
    sohoRegisterPathOrAliasDontExists = '%s: Path or alias does not exist: %s';
    sohoRegisterChangePasswordError =
     '%s: Error opening of query to change password!';

    sohoTreeBtnDeleteGroup = '&Delete';
    sohoTreeBtnCreateGroup = '&Create';
    sohoTreeBtnEditGroup = '&Edit';
    sohoTreeBtnDeleteItem = 'De&lete';
    sohoTreeBtnCreateItem = 'Cre&ate';
    sohoTreeBtnEditItem = 'Ed&it';
    sohoTreeBtnRefresh = '&Refresh';
    sohoTreeBtnRenumber = 'Ren&umber';
    sohoTreeNotMemory = '%s: Not enough memory...';
    sohoTreeNewFeMaleGroup = 'New ';
    sohoTreeNewMaleGroup = 'New ';
    sohoTreeGroupName = 'Name ';
    sohoTreeGroupNameChange = 'Edit ';
    sohoTreeGetNilInsteadOutLine = '%s: has got Nil instead of OutLine!';
    sohoTreeCantOpenGroupsTable = '%s: Can not open table of groups!';
    sohoTreeCantActivateTreeView =
     '%s: Can not activate TreeView. Check ItemsDataSet, GroupsDataSet,'#13 +
     'GroupsTable and NameGroupID';
    sohoTreeMustExistGrpFields =
      '%s: In table of groups must be fields: %s, %s, %s, Name!';
    sohoTreeMustExistItmFields =
      '%s: In table of items must be fields: : %s, %s, %s!';
    sohoTreeDataSetsActivateError =
      '%s: Error activization of DataSets';
    sohoTreeCantSetItemId =
      '%s: Assignment of ItemId is impossible in closed DataSet';
    sohoTreeDefItemName = 'item';
    sohoTreeDefGroupName = 'group';
    sohoTreeNoRecords = 'No records';
    sohoTreeItemsOperations = 'Operations with items' + #13 + 'and groups of items';
    sohoTreeShowChilds = 'Show items' + #13 + 'from subgroups';
    sohoTreeChildsCaption = 'Subgrp.';
    sohoTreeSelectItem = '&Mark';
    sohoTreeUnselectItem = '&Unmark';
    sohoTreeCantMoveItem =
      '%s: Operation of item replacing is impossible, because'#13 +
      'ItemsTable property is not defined';
    sohoTreeIncludeGroupInto =
      'Insert group %s '#13' into group %s?';
    sohoTreeGroupDontCreate = 's%: s% has not been created';
    sohoTreeErrorOnItemMove = 's%: Error of item replacing';
    sohoTreeItemsTableNotDefined =
      '%s: Operation of item replacing is impossible, because'#13 +
      'ItemsTable property is not defined';
    sohoTreeGroupRenameError =
      '%s: Error of group rename';
    sohoTreeDeleteGroup = 'Delete group %s?';
    sohoTreeGroupDeleteError = '%s: Error of group %s deletion';
    sohoTreeItemAddError = '%s: Error of item creation';
    sohoTreeDeleteCurrentItem = 'Delete current item?';
    sohoTreeDeleteSelectedItems = 'Delete marked items?';
    sohoTreeDeleteItemError = '%s:  Error of item deletion';
    sohoTreeGroupMoveError = '%s: Group replacing is impossible!';
    sohoTreeHashGetError =
      '%s: Can not get item hash, because'#13 +
      'ItemsTable property is not defined';
    sohoTreeLastHashGetError =
      '%s: Can not get last hash in group';

    sohoDBOLEUnableSendData =
      'Unable to send data to container';
    sohoDBOLEEmpty = '[ Empty ]';

    sohoExlRepFolderUnknown = '%s: Folder property is not defined!';
    sohoExlRepFolderDataSetUnknown = '%s: Folder.DataSet property is not defined!';
    sohoExlRepFolderDataSetInactive = '%s: Folder.DataSet is not actived!';
    sohoExlRepStupidTemplate = 'Incorrect template!';
    sohoExlRepParamNotFound = '%s: Parameter %s is not found!';
    sohoExlRepPrint = 'Print';
    sohoExlRepPrinting = 'Printing...';
    sohoExlRepTablePreparing = 'Table preparing...';
    sohoExlRepTableFormating = 'Formating...';
    sohoExlRepRecordsCopying = 'Records copying...';
    sohoExlRepRecordsPreparing = 'Records preparing...';
    sohoExlRepTemplateNotFound = '%s: Template %s is not found!';
    sohoExlRepFileOpenError = 'File %s opening error';
    sohoExlRepTemplateSelecting = 'Template selection';
    sohoExlRepSelectTemplate = 'Select template for print';
    sohoExlRepCancelBtnCaption = 'Cancel';

    sohoTVContDeleteQuestion =
      'Are you sure you want to delete this record?';
    sohoTVContFormAlreadyExists = '%s: Form has already existed!';
    sohoTVContFormCreateError = '%s: Form creation error!';
    sohoTVContFileNotFound = 'File %s is not found!';
    sohoTVContSortBtnHint = 'Switch mode of sorting';
    sohoTVContSortBtnCaption = 'Sort';
    sohoTVContBtnClose = 'Close';

    sohoTVContMarkItem = '&Mark';
    sohoTVContUnMarkItem = '&Unmark';
    sohoTVContGotoGroupItem = '&Go to group...';
    sohoTVContSearchItem = 'S&earch...';
    sohoTVContSaveMarkedItem = 'S&ave marked';
    sohoTVContLoadMarkedItem = '&Load marked';
    sohoTVContClearItem = '&Clear';
    sohoTVContSelectItem = '&Select';
    sohoTVContCancelItem = 'Cancel';

    sohoIDSFiles = 'Identificators files (*.IDS)|*.IDS';
    sohoLoadMarkedRecords = 'Load marked';
    sohoSaveMarkedRecords = 'Save marked';

    sohoDBGuideAddRecord = '&Add';
    sohoDBGuideEditRecord = '&Edit';
    sohoDBGuideDeleteRecord = '&Delete';

    sohoRecFormUpdateError = '%s - Error update of record: %s';
    sohoRecFormInsertError = '%s - Error insert of new record: %s';

    sohoDirDlgBrowseDir = 'Browse directory';

    sohoSpeedCustomize = 'Speedbar customize';

    sohoSummRepTemplateNotFound =
      '%s: Given value of Template property (%s) does not correspond to' +
      'file name or directory name!';
    sohoSummRepQueryError =
      'Error of query execution: %s. %s';

    sohoUnitComputerNumber = 'Computer number';
    sohoUnitOnlyProvider =
      'Only program developer can define it!';

    sohoDBRtnRefreshError =
      'Error execution of Refresh procedure! In DataSet %s was not found field %s';
    sohoDBRtnFieldSummFieldNotFound =
      'DataSet %s has no field %s.';
    sohoDBRtnFieldSummUnableCalculate =
      'Field %s of DataSet %s is not numerical. Summing up is impossible!';
    sohoDBRtnCopyDataSetCopying = 'Data copying...';
    sohoDBRtnCopyDataSetError = 'Error of data copying: %s in %s !';

    sohoBDERtnTooManyParams =
      'Not all parameters are included in query %s';
    sohoBDERtnOpenError =
      'Error of opening query or getting result of query %s. %s';
    sohoBDERtnSummError =
      'Error of query execution to sum up on field %s of table %s. %s';
    sohoBDERtnRowSearchError =
      'Error search of string in %s %s = %s. %s';
    sohoBDERtnCopyError =
      'Error copy/update %s  %s !';
    sohoBDERtnCreateTableError =
      'Error table creation %s. %s';
    sohoBDERtnUnknownField =
      'Function does not create field of given data type!';
    sohoBDERtnAddFieldError =
      'SoDBRtn.AddFieldToTable: Error creation of field %s';
    sohoBDERtnAliasError =
      'Error request of alias information %s - %s';

    sohoSummReportSumm = 'Sum :';
    sohoSummReportResults = 'Total :';
    sohoSummReportCalculating = 'Summing...';
    sohoDirDialogAliases = 'Directory or DB alias';
    sohoCtmRecGetIdError =
      'Error getting of new record identificator (key)!';
    sohoCtmTreNoOnGetItems =
      '%s: OnGetItems event handler is not defined';
    sohoDBNavDeleteRecord = 'Delete record?';

    sohoPswUPasswordError =
      'You are mistaken somewhere!'#13'(User''''s name, password or passwords table)';
    sohoPswUWrongUserDate =
      'Wrong users'''' data';
    sohoPswUWrongPassword = 'You are mistaken somewhere!';

    sohoQSActivateError = 'QuickSearch.Activate : DataSet = nil';
    sohoQSDataSetNotActive = 'QuickSearch.Activate : DataSet is not actived';
    sohoQSFieldListIsEmpty = 'QuickSearch.Activate : FieldsList is empty';
    sohoQSKeyFieldNotFound = 'QuickSearch.Activate : Key field %s is not found';
    sohoQSFieldNotFound = 'QuickSearch.Activate : Field "%s" is not found';

    sohoExlRepTitle = '#Title';
    sohoExlRepChanges =
      'Changes will be actual at begining of next report preview';

    sohoSumRepDeleteColumnConfirm =
      'Are you sure you want to delete this column?';
    sohoUsersRightsError =
      'He has more rights than you!';

    sohoNavFirst = 'First record';
    sohoNavPrior = 'Previous record';
    sohoNavNext = 'Next record';
    sohoNavLast = 'Last record';
    sohoNavInsert = 'Insert record';
    sohoNavDelete = 'Delete record';
    sohoNavEdit = 'Edit record';
    sohoNavPost = 'Save changes';
    sohoNavCancel = 'Cancel changes';
    sohoNavRefresh = 'Refresh';

    sohoCtmCmbActivateError =
      '%s: Name of query file/name of phisical table is not defined!';

    sohoCtmRecDataSetUnknown = '%s: Grid.DataSource.DataSet is not defined!';
    sohoCtmRecKeyFieldUnknown =
     '%s: Can not identify record because key field name is not defined!';
    sohoCtmRecKeyFieldNotFound = '%s: Key field is not found!';

   { TsohoDBGuide constants }
   gdPreparing      = 'Preparing...';
   gdFormCreate     = 'Form creating...';
   gdSetEvents      = 'Card...';
   gdPrepareButtons = 'Buttons...';
   gdQueryActivate  = 'Query activation...';
   gdRestoring      = 'Restoring...';
   gdFormShow       = 'Form showing...';

   { TsohoDBGridAddon }
   sohoDBAddonAscending = '&Ascending...';
   sohoDBAddonDescending = '&Descending...';
   sohoDBAddonNoSort = '&No sorting';
   sohoDBAddonAll = 'No filter...';
   sohoDBAddon10 = 'First 10...';
   sohoDBAddonFilter = 'Set filter...';

   sohoFltCaption = 'Filter';
   sohoFltShowOnly =
     'Show only records a value of which:';
   sohoFltAnd = '&AND';
   sohoFltOr = '&OR';
   sohoFltComment =
     'In "equals" and "not equals" operations' + #13 +
     'the "?" symbol means any single symbol, ' + #13 +
     'the "*" symbol means any set of symbols';
   sohoFltCaseSensitive = '&Case sensitive';

   sohoFltEqual = 'equals';
   sohoFltNotEqual = 'do not equals';
   sohoFltGreater = 'is greater';
   sohoFltNotGreater = 'is greater or equals';
   sohoFltLess = 'is less';
   sohoFltNotLess = 'is less or equals';
   sohoFltStartWith = 'is starting at';
   sohoFltNotStartWith = 'is not starting at';
   sohoFltFinishOn = 'is finished by';
   sohoFltNotFinishOn = 'is not finished by';
   sohoFltContain = 'contains';
   sohoFltNotContain = 'do not contains';

   sohoFltNoOperation = 'No operation for comparison';

   sohoDBAssistKeyFieldNotSet  = '%s: KeyField property is not set';
   sohoDBAssistTableNameNotSet = '%s: TableName property is not set';
   sohoDBAssistSetManually = '(Event)'; // do not translate!

   sohoExcelRepDialogTitle = 'Print options';
   sohoExcelRepDialogPrintKind = 'Print mode';
   sohoExcelRepDialogPreview = 'Preview';
   sohoExcelRepDialogAutoPrint = 'Print automatically';
   sohoExcelRepDialogOpenExcel = 'Open Excel';
   sohoExcelRepDialogPrint = 'Print';
   sohoExcelRepDialogPrintToFile = 'Print to file';
   sohoExcelRepDialogCopies = 'Copies';

   sohoFolderDialogTitle = 'Field Properties';
   sohoFolderDialogColumnPage = 'Column';
   sohoFolderDialogTitlePage = 'Title of Grid';
   sohoFolderDialogFormat = 'Format';
   sohoFolderDialogWidth = 'Width';
   sohoFolderDialogFieldCaption = 'Caption';
   sohoFolderDialogAlignGroup = 'Alignment of field';
   sohoFolderDialogHeight = 'Height of title';
   sohoFolderDialogShowTitle = 'Show title of Grid';
   sohoFolderDialogAlignTitle = 'Alignment of Grid';
   sohoFolderDialogAlignLeft = 'Left';
   sohoFolderDialogAlignRight = 'Right';
   sohoFolderDialogAlignCenter = 'Center';

   sohoFolderOptionsTitle = 'Active options';

   sohoPasswordTitle = 'Logging on...';
   sohoPasswordUser = 'Select a user''''s name';
   sohoPasswordPassword = 'Enter a password';
   sohoPasswordDisk = 'Diskette';
   sohoPasswordGuest = 'Guest';

   sohoPrintTitle = 'Printing';

   sohoRightsDialogTitle = 'Visibility';
   sohoRightsDialogRecord = 'Record';
   sohoRightsDialogField = 'Field';

   sohoUserCardTitle = 'Information about user';
   sohoUserCardNoComments = 'No comments';
   sohoUserCardComments = 'Comments';
   sohoUserCardCommon = ' Main information ';
   sohoUserCardName = '&Name of user';
   sohoUserCardShortName = '&Short name';
   sohoUserCardPassword = '&Password';
   sohoUserCardRights = ' Rights of user ';
   sohoUserCardActions = '&Actions';
   sohoUserCardWriting = '&Write';
   sohoUserCardReading = '&Read';
   sohoUserCardProtect = '&Secrecy level';

   sohoUsersFormTitle = 'Users';
   sohoUsersFormUser = '&User';
   sohoUsersFormAdd = '&Add';
   sohoUsersFormDelete = '&Delete';
   sohoUsersFormEdit = '&Edit';
   sohoUsersFormClose = '&Close';

implementation

end.
