{*******************************************************}
{                                                       }
{           Delphi Visual Component Library             }
{                                                       }
{           Copyright (c) 2000-2001 Devrace             }
{               Written by Igor Chernyshov              }
{                                                       }
{             Devrace SohoLib Pro Components            }
{           This library is a trustware product         }
{            Please, read the License.txt file          }
{                                                       }
{             url   : http://www.devrace.com/           }
{             e-mail: soholib@devrace.com               }
{                                                       }
{*******************************************************}
unit SohoMultiLNGCns;

{$I SOHOLIB.INC}

interface
Uses Classes;
Const
   sohoMultiLNG_CRLF         = #$D#$A;
   sohoMultiLNG_ReplaceCRLF  = '||';
ResourceString
   sohoMultiLNG_NotLNGFile   = 'File %s not language file !';
   sohoMultiLNG_NewVar       = 'New variable';
   sohoMultiLNG_EnterNewVar  = 'Enter new variable name';
   sohoMultiLNG_RenVar       = 'Rename variable';
   sohoMultiLNG_EnterRenVar  = 'Enter new variable name';
   sohoMultiLNG_EnterNewLang = 'Enter new language name';
   sohoMultiLNG_NewLang      = 'Add language';
   sohoMultiLNG_DeleteLang   = 'Are you sure? All data for language been deleted!';
   sohoMultiLNG_DeleteVar    = 'Delete variable?';
   sohoMultiLNG_DataChanged  = 'Data been changed. Save?';

type   
(*
--------------------------------------------------------------------------------
      .     
  ,         
    !
      :
  1.  
  2.     (LNG_Count)
  3.    (LNG_Header)
  4.   /
  5.      

  // 1.   
  PLNGFile = ^TLNGFile;
  TLNGFile = RECORD
    LNG_SohoHeader    : string[12]     ;   //  "SohoMultiLNG"  
    LNG_Count         : word           ;   //    
    LNG_Header        : TLNGHeaderList ;   //    (.2)
    LNG_VarCount      : Integer        ;   // -  /
    LNG_Data          : TLNGDataList   ;   //   /property (.3)
    //       
    LNG_ViewParentComp: boolean        ;   //  /   
    LNG_ColCount      : Integer        ;   //     = LNG_Count+2
    LNG_ColWeight     : array[1..LNG_ColCount] of integer; //    
  END; {--- RECORD ---}

  // 2.    .       ,
  //     
  PLNGHeader = ^TLNGHeader;
  TLNGHeader = RECORD
    LNG_NameLen       : word           ;   //     
    LNG_Name          : string         ;   //   ( 255 )
    LNG_CommentLen    : word           ;   //    
    LNG_Comment       : string         ;   //  ( 255 )
    LNG_RESERVED      : Array[1..64] of Byte; //    
  END; {--- RECORD ---}
  TLNGHeaderList = class(TList);           //    .
                                           //    PLNGHeader
  // 3.        property.
  //         
  PLNGData = ^TLNGData;
  TLNGData = RECORD
    LNG_DataID        : byte          ;    //   :
                                           // 0 - property
                                           // 1 - variable
    LNG_DataType      : byte          ;    //   
                                           // 0 - string
                                           // 1 - TStrings
                                           //     
    LNG_FieldNameLen  : word          ;    //     -
                                           // /property.
    LNG_FieldName     : string        ;    //  /property
                                           // Property   
                                           // "_._._"
                                           //  -  
    LNG_ValueLen      : word          ;    //  ,   
                                           //  /property
    LNG_Value         : string        ;    //   /property
                                           //  !!!
                                           //  LNG_ValueLen  LNG_Value
                                           //     
                                           // , 
                                           //      
                                           // (. LNG_Count)
  END; {--- RECORD ---}
  TLNGDataList = class(TList);             //    .
                                           //    PLNGData
--------------------------------------------------------------------------------
*)
//          
//    .
//------------------------------------------------------------------------------
//       
//------------------------------------------------------------------------------
  PLNGHeader = ^TLNGHeader;
  TLNGHeader = RECORD
    LNG_Name          : string         ;   //   ( 255 )
    LNG_Comment       : string         ;   //  ( 255 )
    LNG_RESERVED      : Array[1..64] of Byte; //    
  END; {--- RECORD ---}
  TLNGHeaderList = class(TList);           //    .
                                           //    PLNGHeader

  //        property.
  PLNGData = ^TLNGData;
  TLNGData = RECORD
    LNG_DataID        : byte          ;    //   :
                                           // 0 - property
                                           // 1 - variable
    LNG_DataType      : byte          ;    //   
                                           // 0 - string
                                           // 1 - TStrings
                                           //    
    LNG_FieldName     : string        ;    //  /property
                                           // Property   
                                           // "_._._"
                                           //  -  
    LNG_Value         : TstringList   ;    //   /property
    LNG_NotFound      : Integer       ;    //     
                                           //     
                                           //     
  END; {--- RECORD ---}
  TLNGDataList = class(TList);             //    .
                                           //    PLNGData

  //    
  PLNGFile = ^TLNGFile;
  TLNGFile = RECORD
    LNG_SohoHeader    : string[12]     ;   //  "SohoMultiLNG"  
    LNG_Count         : word           ;   //    
    LNG_Header        : TLNGHeaderList ;   //    (.2)
    LNG_VarCount      : Integer        ;   // -  /
    LNG_Data          : TLNGDataList   ;   //   /property (.3)
    //       
    LNG_ViewParentComp: boolean        ;   //  /   
    LNG_ColCount      : Integer        ;   //     = LNG_Count+2
    //LNG_ColWeight     : array[1..LNG_ColCount] of integer; //    
    //   , ..     ,
    //     
  END; {--- RECORD ---}

implementation

end.
