unit Childwin;

interface

uses Windows, Classes, Graphics, Forms, Controls, StdCtrls, Menus,
     ComCtrls;

type

  TMDIChild = class(TForm)
    Memo1: TMemo;
    MainMenu: TMainMenu;
    asdsdf1: TMenuItem;
    sdf1: TMenuItem;
    CloseChild1: TMenuItem;
    Dosomething1: TMenuItem;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
    FItems: TList;
  public
    { Public declarations }
    procedure AddChildMenu;
    procedure RemoveChildMenu;
  end;

implementation
uses Main, SoMenuBar;

{$R *.DFM}

procedure TMDIChild.AddChildMenu;
var Btn: TToolButton;
    I: LongInt;
    MenuBar: TsohoMenuBar;
begin
  MenuBar := MainForm.MenuBar;
  for I := 0 to pred(MainMenu.Items.Count) do begin
    Btn := TToolButton.Create(MenuBar);
    with Btn do begin
      Grouped := true;
      Parent := MenuBar;
      AutoSize := True;
      Left := MenuBar.Buttons[MenuBar.ButtonCount - 1].Left +
              MenuBar.Buttons[MenuBar.ButtonCount - 1].Width + 1;
      MenuItem := MainMenu.Items[I];
    end;
    FItems.Add(Btn);
  end;
end;

procedure TMDIChild.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  RemoveChildMenu;
  FItems.Free;
  Action := caFree;
end;

procedure TMDIChild.RemoveChildMenu;
var Index: LongInt;
begin
  for Index := 0 to pred(FItems.Count) do
    TToolButton(FItems[Index]).Free;
end;

procedure TMDIChild.FormCreate(Sender: TObject);
begin
  FItems := TList.Create;
  AddChildMenu;
end;

end.
