{*******************************************************}
{                                                       }
{           Delphi Visual Component Library             }
{                                                       }
{           Copyright (c) 2000-2001 Devrace             }
{               Written by Serg Vostrikov               }
{                                                       }
{             Devrace SohoLib Pro Components            }
{           This library is a trustware product         }
{            Please, read the License.txt file          }
{                                                       }
{             url   : http://www.devrace.com/           }
{             e-mail: soholib@devrace.com               }
{                                                       }
{*******************************************************}
unit SoCmnCns;

{$I SOHOLIB.INC}

interface

ResourceString

   sohoOwnerMustBeWindow = 'Owner must be a window!';
   soFrmEditMenuItemNotExists = 'Oops! Such menu item does not exist! %-[  ]';
   soFrmEditBack = 'Send to &back...';
   soFrmEditFront = 'B&ring to front...';
   soFrmEditSize = '&Size';
   soFrmEditAlign = '&Align';
   soFrmEditGrid = '&Grid options';
   soFrmEditStop = '&Close';
   soHintsHintFileNotFound = 'Hint file %s is not found!';
   sohoTabsUpdate = '&Refresh';
   sohoTabsEnable = '&Enable';
   sohoTabsDisable = '&Disable';
   soMenuCaptNewMenuItem = 'New name of menu item';
   soMenuCaptNewMenuItemHint = 'New hint of menu item';
   soMenuCaptStopEdit = 'Finish menu edit';
   soToolsResourceWavError = 'Error play of WAV-resource!';
   soToolsNotFound = ' is not found!';
   sohoDDECommandNotAccepted = 'Command is not accepted:';
   sohoDDEMacrosIsNull = 'Empty macros';
   sohoDDEObjectNotFound = 'DDE object is not found: %s. Select application-server %s';

   sohoSReportNotFound = 'Not found';
   sohoSReportOutFileUnknown = 'Output file is unknown';
   sohoSReportFormNameUnknown = 'Form name is unknown';
   sohoSReportZeroPageWidth = 'Page width is zero';
   sohoSReportWrongTitleWidth = 'Wrong title width of page';
   sohoSReportFormFileNotExists = 'Such file of form does not exist';

   sohoUnknownProgramName = 'Not defined';

   sohoUtilsFileError0 = 'No memory';
   sohoUtilsFileError2 = 'File is not found';
   sohoUtilsFileError3 = 'Directory is not found';
   sohoUtilsFileError4 = 'Too many open files';
   sohoUtilsFileError5 = 'Protection error';
   sohoUtilsFileError6 =
     'Library requires separate data segments for each task';
   sohoUtilsFileError8 = 'No memory to run';
   sohoUtilsFileError10 = 'Wrong Windows version';
   sohoUtilsFileError11 = 'Corrupted file';
   sohoUtilsFileError12 = 'Not Windows file';
   sohoUtilsFileError13 = 'MS-DOS 4.0 file';
   sohoUtilsFileError14 = 'Unknown file type';
   sohoUtilsFileError15 = 'Obsolete file type (WINDOWS 3.0)';
   sohoUtilsFileError16 = 'Repeated program running is impossible';
   sohoUtilsFileError19 = 'Try to run packed file';
   sohoUtilsFileError20 = 'One of libraries is corrupted';
   sohoUtilsFileError21 = 'Need 32-bits support';
   sohoUtilsFileErrorUnknown = 'Uknown error!';

   sohoUtilsNotFound = 'Not found ';
   sohoUtilsNotCreated = 'Impossible to create ';
   sohoUtilsCopyToSelf = 'Try to copy into itself ';
   sohoUtilsCopyManyToOne = 'Try to copy many files to one ';
   sohoUtilsOpenError = 'Open error ';
   sohoUtilsReadError = 'Read error ';
   sohoUtilsWriteError = 'Write error ';
   sohoUtilsRecourceCopy = ' - Recursive copying. Process is interrupted!';
   sohoUtilsGetEnumError = 'Error getting of numerical value!';
   sohoUtilsPropertyDoesnotExists = 'Property %s does not exist!';
   sohoUtilsPropertyIsNotCardinal = 'Property %s is not cardinal!';
   sohoUtilsUnableCreateDir = 'Unable to create directory %s';

   sohoEnhTreeComCtrl32Error =
     'Probably you have old COMCTL32.DLL. Try to find a new one.';
   sohoEnhTreeInvalidLevel = 'Wrong level of TreeNode';

   sohoGraphNotSohoBitmap = 'Source is not TsohoBitmapGraphic!';
   sohoOLEExcelCreatingError =
     'Error creation of OLE-object Excel.Application!';

   sohoSingleMapFileCreatingError =
     'Error creation of share memory area!';

   sohoSReportFileNotExists = 'File %s does not exist. Print is interrupted';

   sohoFormEditorNoName = 'Not defined';
   sohoDDEServerName = 'Server';
   sohoDDEServerOpenError = 'Error of server opening';
   sohoDDEExecutable = 'Programs (*.exe)|*.exe';
   sohoOLEUnknown = 'Unknown';
   sohoToolsMenuCaption = 'Tools';

   sohoCalWrongDate =
     'Selected date is not of permissible range %s';
   sohoCalMaxWrongDate =
    'Selected date is less than range minimum %s';
   sohoCalMinWrongDate =
    'Selected date is bigger than range maximum %s';
   sohoCalMonthCaption = 'Select date';
   sohoCalTimeCaption = 'Select time';
   sohoCalMonthTimeCaption = 'Select date and time';

   sohoCalcCaption = 'Calculator';

   sohoSpecEditFilter = 'All files (*.*)|*.*';
   sohoSpecEditCaption = 'Browse';
   sohoSpecBrowseCaption = 'Browse';

   { TsohoEdit errors constants }
   se_ErrorMustBeInteger    = 'Enter integer value!';
   se_ErrorMustBeFloat      = 'Enter float value!';
   se_ErrorMustBeDate       = 'Enter date!';
   se_ErrorMustBeTime       = 'Enter time!';
   se_ErrorMustBeDateTime   = 'Enter date and time!';
   se_ErrorCannotLetString  = 'Can not set string value! Wrong type of argument!';
   se_ErrorCannotLetInteger = 'Can not set integer value! Wrong type of argument!';
   se_ErrorCannotLetFloat   = 'Can not set float value! Wrong type of argument!';
   se_ErrorCannotLetDate    = 'Can not set date value! Wrong type of argument!';
   se_ErrorCannotLetTime    = 'Can not set time value! Wrong type of argument!';
   se_ErrorCannotLetDateTime = 'Can not set date and time value! Wrong type of argument!';
   se_ErrorNotInteger       = 'It is not integer number!';
   se_ErrorNotFloat         = 'It is not float number!';
   se_ErrorNotDate          = 'It is not date!';
   se_ErrorNotTime          = 'It is not time!';
   se_ErrorNotDateTime      = 'It is not date and time!';
   se_ErrorStringEmpty      = 'Edit value is empty!';

   sohoCustomColor          = 'Select';

   { TsohoButtons kinds constants }
   wtb_CaptionOk     = 'OK';
   wtb_CaptionCancel = 'Cancel';
   wtb_CaptionYes    = 'Yes';
   wtb_CaptionNo     = 'No';
   wtb_CaptionClose  = 'Close';

   SOKButton = 'OK';
   SCancelButton = 'Cancel';
   SYesButton = '&Yes';
   SNoButton = '&No';
   SHelpButton = '&Help';
   SCloseButton = '&Close';
   SIgnoreButton = '&Ignore';
   SRetryButton = '&Repeat';
   SAbortButton = 'A&bort';
   SAllButton = '&All';

   SMsgDlgWarning = 'Warning';
   SMsgDlgError = 'Error';
   SMsgDlgInformation = 'Information';
   SMsgDlgConfirm = 'Question';
   SMsgDlgYes = '&Yes';
   SMsgDlgNo = '&No';
   SMsgDlgOK = 'OK';
   SMsgDlgCancel = 'Cancel';
   SMsgDlgHelp = '&Help';
   SMsgDlgHelpNone = 'Help file is not defined';
   SMsgDlgHelpHelp = 'Help';
   SMsgDlgAbort = 'A&bort';
   SMsgDlgRetry = '&Repeat';
   SMsgDlgIgnore = 'S&kip';
   SMsgDlgAll = '&All';
   SMsgDlgNoToAll = 'No &for all';
   SMsgDlgYesToAll = 'Yes for A&ll';

   se_ErrorUseMask = 'Error of mask use';

   sohoMFSaveChanges = 'Save changes?';
   sohoMFDonotSaveChanges = 'Close without saving of changes?';

   sohoProcSystemIdle = 'System Idle';

   sohoAboutSohoLib = 'This program uses SohoLib Pro library for Delphi 3/4/5 and C++ Builder 4/5';
   sohoAboutSohoIBLib = 'This program uses SohoIBLib Pro library for Delphi 3/4/5 and C++ Builder 4/5';
   sohoAboutMemory = 'Memory Avialable to Windows: ';
   sohoAboutFileVersion = 'Version ';

   sohoAlignFormTitle = 'Alignment';
   sohoAlignFormNoChanges = '&No changes';
   sohoAlignFormLefts = '&Left sides';
   sohoAlignFormCenter = '&Center';
   sohoAlignFormRights = '&Right sides';
   sohoAlignFormWindowCenter = 'Center in &window';
   sohoAlignFormTops = '&Tops';
   sohoAlignFormBottoms = '&Bottoms';

   sohoClndTimeLabel = 'Time';

   sohoCreateFieldFormTitle = 'Create new field';
   sohoCreateFieldFormFieldName = 'Field name';
   sohoCreateFieldFormFieldType = 'Field type';
   sohoCreateFieldFormFieldLen = 'Length';
   sohoCreateFieldFormSQLText = 'SQL expression';

   sohoTimePeriodFormTitle = 'Period';
   sohoTimePeriodFormPeriod = 'Set Period';
   sohoTimePeriodFormFrom = ' from: ';
   sohoTimePeriodFormTill = ' to: ';

   sohoSizeFormTitle = 'Size';
   sohoSizeFormHorizontalSize = ' Width ';
   sohoSizeFormShrink = 'Shrink to smallest';
   sohoSizeFormGrow = 'Grow to largest';
   sohoSizeFormWidth = 'Width:';
   sohoSizeFormVerticalSize = ' Height ';
   sohoSizeFormSize = ' Form size ';
   sohoSizeFormHeight = 'Height: ';

   sohoTimeDialogTitle = 'Set time';

implementation

end.
