{*******************************************************}
{                                                       }
{           Delphi Visual Component Library             }
{                                                       }
{           Copyright (c) 2000-2001 Devrace             }
{               Written by Serg Vostrikov               }
{                                                       }
{             Devrace SohoLib Pro Components            }
{           This library is a trustware product         }
{            Please, read the License.txt file          }
{                                                       }
{             url   : http://www.devrace.com/           }
{             e-mail: soholib@devrace.com               }
{                                                       }
{*******************************************************}
unit SoDesCns;

{$I SOHOLIB.INC}
interface

ResourceString

  sohoSLEditor = 'External editor';
  sohoGridEditor = 'Grid &Editor';
  sohoOutListEditor = 'Outlist &Editor';
  sohoTVEditor = '&Create treeview guide';
  sohoDirNameEditor = 'Directory name editor';
  sohoTTFDirEditor = 'SohoLib TTF Directory Property Editor';
  sohoMaskAllFiles = 'All files';
  sohoStringPropertyEditor = 'SohoLib String Property Editor';
  sohoFileNameEditor = 'File name editor';
  sohoWAVFiles = 'WAV-files';
  sohoWAVFilesEditor = 'WAV-file name editor';
  sohoINIFiles = 'INI-files';
  sohoINIFilesEditor = 'INI-file name editor';
  sohoHintFiles = 'Hints files';
  sohoHintFilesEditor = 'Hints file name editor';
  sohoHintFilesMask = 'Hints files|*.HNT';
  sohoOutListEntTab = 'By Enter/Tab';
  sohoOutListTab = 'Only by Tab';
  sohoEditHints = '&Edit hints';
  sohoSaveHints = '&Save hints';
  sohoLoadHints = '&Load hints';
  sohoMinMaxSetMax = 'Take current size as maximum';
  sohoMinMaxSetMin = 'Take current size as minimum';
  sohoMinMaxClear = 'Clear MinMaxInfo';
  sohoAddRegion = '&Add region';
  sohoBLEditorLineDelete = 'Are you sure?';
  sohoSQLFormWriteError = 'Error of file saving!';
  sohoGroupTableCreateError = 'Error creation of table of groups: ';
  sohoItemsTableCreateError = 'Error creation of table of items: ';
  sohoStatusControlEditor = '&Set controls';
  sohoStatusPanelsEditor = '&Status panels editor...';

  sohoFormStorage = '&Form storage editor';
  sohoFormStorageComponents = 'C&omponents';
  sohoFormStorageProperties = '&Properties';
  sohoFormStorageSavedProperties = 'Saved properties';
  sohoFormStorageFormBox = 'Options of form saving';
  sohoFormStorageActiveCtrlBox = 'Acti&ve Control';
  sohoFormStoragePositionBox = '&Form Position';
  sohoFormStorageStateBox = '&Window State';
  sohoFormStorageAddButton = '&Add';
  sohoFormStorageDeleteButton = '&Delete';
  sohoFormStorageClearButton = '&Clear';

  sohoHintEditorTitle = 'Hints collection editor';
  sohoHintEditorComponents = 'Components';
  sohoHintEditorHints = 'Hint of component';

  sohoImageListEditorTitle = 'Image Index Property Editor';

  sohoSQLEditorTitle = 'Select SQL-File';
  sohoSQLEditorFile = 'File';
  sohoSQLEditorSave = '&Save';
  sohoSQLEditorOpen = '&Open';
  sohoSQLEditorSQL = 'Text of a query';

  sohoStatusEditorTitle = 'SohoLib Status Controls Editor';
  sohoStatusEditorOnForm = 'Controls on form';
  sohoStatusEditorOnStatus = 'Controls on StatusBar';
  sohoStatusEditorPageIndex = 'Page Index';

  sohoTreeViewCreatorTitle = 'Create tree guide';
  sohoTreeViewCreatorPath = 'Path to guide';
  sohoTreeViewCreatorGroups = 'Table of groups';
  sohoTreeViewCreatorGroupsName = 'Name of table';
  sohoTreeViewCreatorGroupFields = 'General list of fields';
  sohoTreeViewCreatorItems = 'Table of items';
  sohoTreeViewCreatorItemsFields = 'General list of fields';
  sohoTreeViewCreatorItemsTable = 'Name of table';

  sohoMLEditorFile = '&File';
  sohoMLEditorOpen = '&Open';
  sohoMLEditorSave = '&Save';
  sohoMLEditorSaveAs = 'Save &As';
  sohoMLEditorExit = 'E&xit';
  sohoMLEditorLanguage = '&Language';
  sohoMLEditorAddLanguage = '&Add Language';
  sohoMLEditorDeleteLanguage = '&Delete Language';
  sohoMLEditorLanguageLabel = 'Language';
  sohoMLEditorLangComment = 'Comment';
  sohoMLEditorForm = 'Forms of Project (Should Be Open)';
  sohoMLEditorComponent = 'Component';
  sohoMLEditorProperty = 'Property';
  sohoMLEditorBtnAdd = 'Add';
  sohoMLEditorBtnAddVariable = 'Add &Variable';
  sohoMLEditorBtnRename = '&Rename';
  sohoMLEditorBtnDelete = '&Delete';
  sohoMLEditorVariables = '&Variables';
  sohoMLEditorAddVariable = 'Add &Variable';
  sohoMLEditorRename = '&Rename Variable';
  sohoMLEditorDelete = '&Delete Variable';
  sohoMLEditorOptions = '&Options';
  sohoMLEditorShortPropertyNames = '&Short Names of Properties';
  sohoMLEditorFilter = '&Filter';
  sohoMLEditorViewAll = 'View &All';
  sohoMLEditorViewComponents = 'View &Components';
  sohoMLEditorViewVariables = 'View &Variables';
  sohoMLEditorViewParent = 'View Components on &Parent Form Only';
  sohoMLEditorFilterLabel = 'Filter';
  sohoMLEditorUseFilter = '&Use Filter';
  sohoMLEditorViewNotFound = 'View not &Found Components';
  sohoMLEditorOrogonalValue = 'Original value';
  sohoMLEditorFileMask = 'Language file (*.lng)|*.lng|All files (*.*)|*.*';

implementation

end.
