{*******************************************************}
{                                                       }
{           Delphi Visual Component Library             }
{                                                       }
{           Copyright (c) 2000-2001 Devrace             }
{               Written by Serg Vostrikov               }
{                                                       }
{             Devrace SohoLib Pro Components            }
{           This library is a trustware product         }
{            Please, read the License.txt file          }
{                                                       }
{             url   : http://www.devrace.com/           }
{             e-mail: soholib@devrace.com               }
{                                                       }
{*******************************************************}
{
     Delphi 2/3   16-
 DLL.  ,      WinNT
}
unit SoDllUtl;

{$IFNDEF WIN32}
  This unit is designed for Delphi 32 Only !
{$ENDIF}

{$I SOHOLIB.INC}

{$IFDEF WINNT}
  This unit does not work in Windows NT !
{$ENDIF}

interface
uses Windows;

{     }
function LoadLibrary16(LibraryName: PChar): THandle; stdcall;
{   }
procedure FreeLibrary16(HInstance: THandle); stdcall;
{         }
function GetProcAddress16(HInstance: THandle; ProcName: PChar): Pointer; stdcall;
{  16-  .}
{example:

    asm
      push WParam      // -    
      mov edx, Pointer // - GetProcAddress16
      call QT_Thunk
      mov Result, ax   //    
    end;
}
procedure QT_Thunk; cdecl;

var hInst16: THandle;
    GFSR: Pointer;

implementation

function LoadLibrary16(LibraryName: PChar): THandle; stdcall; external kernel32 index 35;
procedure FreeLibrary16(HInstance: THandle); stdcall; external kernel32 index 36;
function GetProcAddress16(HInstance: THandle; ProcName: PChar): Pointer; stdcall; external kernel32 index 37;
procedure QT_Thunk; cdecl; external kernel32 name 'QT_Thunk';

end.

