{*******************************************************}
{                                                       }
{           Delphi Visual Component Library             }
{                                                       }
{           Copyright (c) 2000-2001 Devrace             }
{           Partial copyright (c) AllexSoft             }
{           Written by Alexander Govyadinov,            }
{                   Serg Vostrikov                      }
{                                                       }
{             Devrace SohoLib Pro Components            }
{           This library is a trustware product         }
{            Please, read the License.txt file          }
{                                                       }
{             url   : http://www.devrace.com/           }
{             e-mail: soholib@devrace.com               }
{                                                       }
{*******************************************************}
{
    TsohoQuickSearch
}
unit SoQSrch;

{$I SOHOLIB.INC}

interface

uses SysUtils, Classes, SoCtmQSrch, DBTables;

type

  TsohoQuickSearch = class(TsohoCustomQuickSearch)
  private
    { Private declarations }
    FID: Boolean;
  protected
    { Protected declarations }
    procedure InternalSearch(IndexNumb: LongInt); override;
  public
    constructor Create(AOwner : TComponent); override;
  published
    property Use_ID_asIndex: Boolean read fID write fID default false;
    {  DataSet  TTable,   
       ID,     
             }
  end;

implementation

constructor TsohoQuickSearch.Create(AOwner : TComponent);
begin
  inherited Create(AOwner);
  fID := false;
end;

procedure TsohoQuickSearch.InternalSearch(IndexNumb: LongInt);
begin
  if (DataSet is TTable) and FID then
    with DataSet as TTable do begin
      DisableControls;
      SetKey;
      FieldByName(KeyField).AsInteger := FIDIndex^[IndexNumb];
      GotoKey;
      EnableControls;
    end
  else inherited;
end;

end.
