{*******************************************************}
{                                                       }
{           Delphi Visual Component Library             }
{                                                       }
{           Copyright (c) 2000-2001 Devrace             }
{               Written by Serg Vostrikov               }
{                                                       }
{             Devrace SohoLib Pro Components            }
{           This library is a trustware product         }
{            Please, read the License.txt file          }
{                                                       }
{             url   : http://www.devrace.com/           }
{             e-mail: soholib@devrace.com               }
{                                                       }
{*******************************************************}
unit Sotvprop;

{$I SOHOLIB.INC}

interface

uses {$IFDEF Delphi6}DesignEditors, DesignIntf{$ELSE}DsgnIntf{$ENDIF};

type

  TsohoTVGridProperty = class(TClassProperty)
  public
    function GetAttributes : TPropertyAttributes; override;
  end;

  TsohoTVOutLineProperty = class(TClassProperty)
  public
    function GetAttributes : TPropertyAttributes; override;
  end;

implementation

function TsohoTVGridProperty.GetAttributes : TPropertyAttributes;
begin
     Result := [paSubProperties];
end;

function TsohoTVOutLineProperty.GetAttributes : TPropertyAttributes;
begin
     Result := [paSubProperties];
end;

end.
